summaryrefslogtreecommitdiff
path: root/bootstrap.template
diff options
context:
space:
mode:
authorFlorian Dold <florian.dold@gmail.com>2019-10-14 22:03:24 +0530
committerFlorian Dold <florian.dold@gmail.com>2019-10-14 22:21:56 +0530
commitab8503f11de99b030368d24faf7c8788de9eb84e (patch)
tree49c13e2b45c2ef1d2419bbee64abdb016dadb3df /bootstrap.template
parentc49278458aad2d2bfbf91b3e4ee4dd1650bf9601 (diff)
downloadbuild-common-ab8503f11de99b030368d24faf7c8788de9eb84e.tar.gz
build-common-ab8503f11de99b030368d24faf7c8788de9eb84e.tar.bz2
build-common-ab8503f11de99b030368d24faf7c8788de9eb84e.zip
build scripts as library
Diffstat (limited to 'bootstrap.template')
-rwxr-xr-xbootstrap.template14
1 files changed, 14 insertions, 0 deletions
diff --git a/bootstrap.template b/bootstrap.template
new file mode 100755
index 0000000..82700e1
--- /dev/null
+++ b/bootstrap.template
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# Bootstrap the repository. Used when the repository is checked out from git.
+# When using the source tarball, running this script is not necessary.
+
+set -eu
+
+if ! git --version >/dev/null; then
+ echo "git not installed"
+ exit 1
+fi
+
+git submodule update --init
+cp build-system/taler-build-scripts/configure ./configure